pandoc-lua-marshal-0.3.2.1: Use pandoc types in Lua

Copyright | © 2021-2026 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.TableHead

Description

Marshaling/unmarshaling functions of `TableHead` values.

Synopsis

- peekTableHead :: LuaError e => Peeker e TableHead
- pushTableHead :: LuaError e => TableHead -> LuaE e ()
- typeTableHead :: LuaError e => DocumentedType e TableHead
- mkTableHead :: LuaError e => DocumentedFunction e

# Documentation

peekTableHead :: LuaError e => Peeker e TableHead Source #

Retrieves a TableHead from the stack.

pushTableHead :: LuaError e => TableHead -> LuaE e () Source #

Push a TableHead as a userdata value.

typeTableHead :: LuaError e => DocumentedType e TableHead Source #

TableHead object type.

mkTableHead :: LuaError e => DocumentedFunction e Source #

Constructor function for TableHead values.